> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Masterwachtwoorden weergeven

> List master passwords under the path account.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.nl.json GET /v1/public/accounts/{account_id}/credentials
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/credentials:
    get:
      tags:
        - public-accounts
        - public-credentials
      summary: Masterwachtwoorden weergeven
      description: List master passwords under the path account.
      operationId: list_public_credentials_v1_public_accounts__account_id__credentials_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validatiefout
      security:
        - PublicBearerAuth: []
components:
  schemas:
    CredentialListResponse:
      properties:
        items:
          description: Masterwachtwoorden op deze pagina
          items:
            $ref: '#/components/schemas/CredentialDTO'
          title: Artikelen
          type: array
        page:
          description: Huidig, op één gebaseerd paginanummer
          title: Pagina
          type: integer
        page_size:
          description: Maximaal aantal items per pagina
          title: Paginagrootte
          type: integer
        total:
          description: Totaal aantal overeenkomende masterwachtwoorden
          title: Totaal
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: CredentialListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CredentialDTO:
      properties:
        created_at:
          description: Aanmaaktijdstip van het masterwachtwoord
          title: Aangemaakt op
          type: string
        id:
          description: UUID van masterwachtwoord
          format: uuid
          title: ID
          type: string
        name:
          description: Weergavenaam van het masterwachtwoord
          title: Naam
          type: string
        scope_id:
          description: Resource-UUID voor het bereik van het masterwachtwoord
          format: uuid
          title: Scope-id
          type: string
        scope_type:
          description: Type resourcebereik waarin het masterwachtwoord geldt
          enum:
            - account
            - workspace
            - domain
          title: Scopetype
          type: string
        updated_at:
          description: Tijdstip van laatste update van het masterwachtwoord
          title: Bijgewerkt op
          type: string
      required:
        - id
        - name
        - scope_type
        - scope_id
        - created_at
        - updated_at
      title: CredentialDTO
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Locatie
          type: array
        msg:
          title: Bericht
          type: string
        type:
          title: Fouttype
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````